#ifndef NEMO_INDEX_VIEW_H
#define NEMO_INDEX_VIEW_H

#include "nemo-view.h"

#define NEMO_TYPE_INDEX_VIEW nemo_index_view_get_type()
#define NEMO_INDEX_VIEW(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), NEMO_TYPE_INDEX_VIEW, NemoIndexView))
#define NEMO_INDEX_VIEW_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), NEMO_TYPE_INDEX_VIEW, NemoIndexViewClass))
#define NEMO_IS_INDEX_VIEW(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NEMO_TYPE_INDEX_VIEW))
#define NEMO_IS_INDEX_VIEW_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), NEMO_TYPE_INDEX_VIEW))
#define NEMO_INDEX_VIEW_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), NEMO_TYPE_INDEX_VIEW, NemoIndexViewClass))

#define NEMO_INDEX_VIEW_ICON_ID "OAFIID:Nemo_File_Manager_Index_View:Icon"
#define NEMO_INDEX_VIEW_COMPACT_ID "OAFIID:Nemo_File_Manager_Index_View:Compact"
#define NEMO_INDEX_VIEW_LIST_ID "OAFIID:Nemo_File_Manager_Index_View:List"

typedef struct NemoIndexViewDetails NemoIndexViewDetails;

typedef struct {
	NemoView parent_instance;
	NemoIndexViewDetails *details;
} NemoIndexView;

typedef struct {
	NemoViewClass parent_class;
} NemoIndexViewClass;

GType nemo_index_view_get_type (void);
void  nemo_index_view_register (void);
const gchar *
nemo_index_view_get_id_by_subview_id (const gchar *id);
const gchar *
nemo_index_view_get_subview_id (const gchar *id);


#endif /* NEMO_INDEX_VIEW_H */
